## erlang-cherly 0.9.1+dfsg

=== Makefile ===
.PHONY: test

all:
	rebar compile
	rebar xref skip_deps=true
	rebar eunit skip_deps=true
compile:
	rebar compile skip_deps=true
xref:
	rebar xref skip_deps=true
eunit:
	rebar eunit skip_deps=true
clean:
	rebar clean skip_deps=true
distclean:
	rebar clean
qc:
	rebar qc skip_deps=true

=== debian/changelog ===
erlang-cherly (0.9.1+dfsg-1ubuntu1) raring; urgency=low

  * Rename dprintf to dbg_printf to avoid clash with the glibc symbol
    of the same name, which explodes when building with FORTIFY_SOURCE

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 28 Nov 2012 18:44:08 -0700

erlang-cherly (0.9.1+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #689387)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 16 Jul 2012 15:00:55 +0900

=== debian/control ===
Source: erlang-cherly
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
	erlang-dev (>= 1:14.b.4), erlang-eunit (>= 1:14.b.4),
	rebar
Homepage: https://www.github.com/leo-project/cherly.git
Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-cherly.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-cherly.git;a=summary

Package: erlang-cherly
Architecture: any
Section: devel
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
	${erlang:Depends}
Description: Cherly (sher-lee) is an in-VM caching library for Erlang
 Cherly (sher-lee) was originally developed by Cliff Moon for erlang to deal
 with in memory caching based on LRU. Its functionality and performance were
 awesome, but as time goes on, its implementation gradually obsoletes and it's
 hard to maintain. To overcome these problems, I forked and made Cherly improve
 with original purposes. Main improvements are described below.
  * Replaced the hash storing structure (originally used Judy hash) with the
    combination of Open addressing and Tree structure based on golang's hash
    implementation. This structure is very scalable and stable.
  * Implemented slab allocator on off-heap.
  * Replaced implemantations of port driver with NIFs.
  * Rebarized

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PACKAGE=cherly
VERSION = $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')

%:
	dh $@
override_dh_auto_build:
	rebar compile -vv

override_dh_auto_install:
	dh_auto_install

	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin
	install -m 644 ebin/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin/
	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/priv/lib
	install priv/*.so \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/priv/lib/

override_dh_gencontrol-arch:
	erlang-depends -a
	dh_gencontrol -a

override_dh_compress-arch:
	dh_compress -X.erl -X.beam

## erlang-cherly 0.12.8%2Bdfsg

=== Makefile ===
.PHONY: deps test

REBAR := ./rebar
all:
	@$(REBAR) update-deps
	@$(REBAR) get-deps
	@$(REBAR) compile
	@$(REBAR) xref skip_deps=true
	@$(REBAR) eunit skip_deps=true
compile:
	@$(REBAR) compile skip_deps=true
xref:
	@$(REBAR) xref skip_deps=true
eunit:
	@$(REBAR) eunit skip_deps=true
clean:
	@$(REBAR) clean skip_deps=true
distclean:
	@$(REBAR) delete-deps
	@$(REBAR) clean
qc:
	@$(REBAR) qc skip_deps=true

## erlang-cherly 0.12.8+dfsg

=== debian/changelog ===
erlang-cherly (0.12.8+dfsg-8) unstable; urgency=medium

  * Fix FTBFS on sparc64. (Closes: #872483)
    - Add patches/correct-uintptr-type.patchi.
    - Add patches/initialize-indirectval.patch.
    - Thanks to James Clarke <jrtc27@debian.org>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 25 Aug 2017 09:05:12 +0900

erlang-cherly (0.12.8+dfsg-7) unstable; urgency=medium

  * Support OTP release 20. (Closes: #871334)
    - Update patches/add_support_r17_and_r18.
  * Update debian/control.
    - Bump Standards-Version to 4.0.0.
    - Cleanup debian/control by cme.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 10 Aug 2017 04:29:57 +0900

erlang-cherly (0.12.8+dfsg-6) unstable; urgency=medium

  * Update patches/add_support_r17_and_r18.
  * Add patches/using-crypto_strong_rand_bytes. (Closes: #846753)
  * Update Standards-Version to 3.9.8.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 20 Dec 2016 22:13:33 +0900

erlang-cherly (0.12.8+dfsg-5) unstable; urgency=medium

  * Add patches/add_support_r17_and_r18. (Closes: #791368)
    And remove patches/add_support_r17.
  * Update debian/control.
    - Bump Standards-Version to 3.9.6.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 16 Aug 2015 05:52:58 +0900

erlang-cherly (0.12.8+dfsg-4) unstable; urgency=medium

  * Update debian/control.
    - Bump Standards-Version to 3.9.5.
  * Add patches/add_support_r17. (Closes: #746080)
  * Update debian/watch. Fix idebian-watch-file-should-mangle-version.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 21 May 2014 15:46:05 +0900

erlang-cherly (0.12.8+dfsg-3) unstable; urgency=low

  * Update debian/control.
    - Add dh-rebar to Build-Depends.
  * Update debian/rules.
    - Changed to use dh-rebar.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 18 Aug 2013 08:33:51 +0900

erlang-cherly (0.12.8+dfsg-2) unstable; urgency=low

  * Update debian/control.
    - Add erlang-dialyzer to Build-Depends.
      Fix FTBFS if built with Erlang R16B01.
    - Bump Standards-Version to 3.9.4.
  * Remove patches/support_R15B01. Debian's erlang was updated to R16B01.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 30 Jul 2013 07:23:53 +0900

erlang-cherly (0.12.8+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #707364)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 03 Jun 2013 17:35:13 +0900

erlang-cherly (0.12.7+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 20 Apr 2013 19:20:00 +0900

erlang-cherly (0.12.4+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update patches/support_R15B01.
  * Update debian/rules.
    Set CFLAGS.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 13 Mar 2013 14:50:06 +0900

erlang-cherly (0.12.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update debian/rules.
    Add override_dh_auto_test target.
  * Add debian/watch file.
  * Add patches/support_R15B01.
    Support erlang R15B01.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 23 Jan 2013 07:56:57 +0900

=== debian/control ===
Source: erlang-cherly
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Taku YASUI <tach@debian.org>,
           Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               erlang-dev,
               erlang-eunit,
               erlang-dialyzer,
               dh-rebar
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-leofs/erlang-cherly.git
Vcs-Git: https://anonscm.debian.org/git/pkg-leofs/erlang-cherly.git
Homepage: https://www.github.com/leo-project/cherly.git

Package: erlang-cherly
Architecture: any
Section: devel
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: Cherly (sher-lee) is an in-VM caching library for Erlang
 Cherly (sher-lee) was originally developed by Cliff Moon for erlang to deal
 with in memory caching based on LRU. Its functionality and performance were
 awesome, but as time goes on, its implementation gradually obsoletes and it's
 hard to maintain. To overcome these problems, I forked and made Cherly improve
 with original purposes. Main improvements are described below.
  * Replaced the hash storing structure (originally used Judy hash) with the
    combination of Open addressing and Tree structure based on golang's hash
    implementation. This structure is very scalable and stable.
  * Implemented slab allocator on off-heap.
  * Replaced implemantations of port driver with NIFs.
  * Rebarized

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=rebar --with rebar
